=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,8 @@
     vectorimage.cpp
     controller.cpp
     kdtree.cpp
-    filemenuactions.cpp
+    filemenu.h
+    filemenu.cpp
     dirmodelutils.cpp
     notificationmanager.cpp
     fileinfo.cpp
@@ -55,6 +56,7 @@
     KF6::KIOFileWidgets
     KF6::KIOWidgets
     KF6::DBusAddons
+    KF6::GuiAddons
     KF6::FileMetaData
     KF6::ConfigGui
     KF6::ConfigCore
