=== debian/control ===
Source: koko
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev,
               kquickimageeditor-dev,
               libexiv2-dev (>= 0.21~),
               libkf6config-dev (>= 5.240~),
               libkf6configwidgets-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6declarative-dev (>= 5.240~),
               libkf6filemetadata-dev (>= 5.240~),
               libkf6guiaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6kio-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev,
               libkirigami-dev,
               libxcb-util-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev (>= 6.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/koko/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
Rules-Requires-Root: no

Package: koko
Architecture: any
Multi-Arch: foreign
Depends: koko-data (= ${source:Version}),
	 libgdk-pixbuf2.0-bin,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Image gallery for Plasma mobile
 Koko is an image viewer designed for desktop and touch devices.
 .
 It is based on Kirigami, being therefore able to adapt nicely to desktops,
 phones, big screens and potentially everything else.
 .
 It features a gallery and an image viewer, plus the chance to do simple
 image modifications (crop, rotation) in-app thanks to the kquickimageeditor.

Package: koko-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Image gallery for Plasma mobile -- data files
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains architecture-independent data files.
