## koko 25.12.0+p24.04+vstable+git20251224.0746

=== debian/changelog ===
koko (25.12.0+p24.04+vstable+git20251224.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:46:16 +0000
