=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, @builddeps@
Restrictions: rw-build-tree isolation-container
