## koko 25.12.0+p24.04+vstable+git20260103.0622

=== debian/changelog ===
koko (25.12.0+p24.04+vstable+git20260103.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:22:24 +0000
