=== src/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,6 @@
     KF6::KIOFileWidgets
     KF6::KIOWidgets
     KF6::DBusAddons
-    KF6::GuiAddons
     KF6::FileMetaData
     KF6::ConfigGui
     KF6::ConfigCore
