=== debian/changelog ===
koko (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:21:21 +0000

koko (25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (25.12.0).
  * Update build-deps and deps with the info from cmake.
  * Standards-version 4.7.3 (drop Priority, Rules-Require-Root from d/control).
  * d/control: explicitly depend on kquickimageeditor's binaries at least 0.6.0.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Refresh copyright information.
  * Switch to debian/watch format version 5.
  * Fix library name for stricter dependency on libkquickimageeditor1.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 22:08:35 +0100

koko (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:09:03 +0000

koko (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:26:35 +0000
