=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: koko
 Section: kde
-Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240~),
                kirigami-addons-dev,
-               kquickimageeditor-dev,
-               libexiv2-dev (>= 0.21~),
+               kquickimageeditor-dev (>= 0.6.0~),
+               libexiv2-dev (>= 0.28~),
                libkf6config-dev (>= 5.240~),
                libkf6configwidgets-dev (>= 5.240~),
                libkf6coreaddons-dev (>= 5.240~),
@@ -34,11 +33,10 @@
                qt6-svg-dev (>= 6.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/koko/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
-Rules-Requires-Root: no
 
 Package: koko
 Architecture: any
