## koko 25.12.1+p24.04+vstable+git20260130.0941

=== debian/changelog ===
koko (25.12.1+p24.04+vstable+git20260130.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:41:45 +0000
