=== debian/control ===
Source: koko
Section: kde
Priority: optional
XSBC-Original-Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kfilemetadata-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kquickimageeditor-dev,
               libexiv2-dev,
               libplasma-dev,
               libxcb-util-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-positioning-dev,
               qt6-svg-dev,
               wget
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/koko.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/koko
Maintainer: Neon CI <neon@kde.org>

Package: koko
Architecture: any
Depends: libplasma6,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-kde-purpose,
         qml6-module-qt5compat-graphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Gallery
 A KDE Image Gallery.

Package: koko-dbg
Architecture: all
Depends: koko, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
